﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGAddAndRemoveColumns
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        int count = 1;
        private void addBtn_Click(object sender, RoutedEventArgs e)
        {
            CheckBoxField newField = new CheckBoxField() { Name = "New Field " + count.ToString(), BindingType = BindingType.Unbound, DataType = typeof(bool) };
            xdg1.FieldLayouts[0].Fields.Add(newField);
        }

        private void removeBtn_Click(object sender, RoutedEventArgs e)
        {
            xdg1.FieldLayouts[0].Fields.Remove(xdg1.FieldLayouts[0].Fields.Last());
        }
    }
}
